Package org.codehaus.groovy.classgen.asm

# Class BinaryExpressionHelper

java.lang.Object
org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

Direct Known Subclasses:
  `BinaryExpressionMultiTypeDispatcher`, `IndyBinHelper`

    public class BinaryExpressionHelper
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected WriterController` | `controller` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BinaryExpressionHelper​(WriterController wc)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `assignToArray​(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)` | Deprecated.
  `protected void` | `assignToArray​(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader, boolean safe)` |
  `void` | `eval​(BinaryExpression expression)` |
  `protected void` | `evaluateArrayAssignmentWithOperator​(java.lang.String method, BinaryExpression expression, BinaryExpression leftBinExpr)` |
  `protected void` | `evaluateBinaryExpression​(java.lang.String message, BinaryExpression expression)` |
  `protected void` | `evaluateBinaryExpressionWithAssignment​(java.lang.String method, BinaryExpression expression)` |
  `protected void` | `evaluateCompareExpression​(MethodCaller compareMethod, BinaryExpression expression)` |
  `void` | `evaluateElvisEqual​(BinaryExpression expression)` |
  `void` | `evaluateEqual​(BinaryExpression expression, boolean defineVariable)` |
  `void` | `evaluatePostfixMethod​(PostfixExpression expression)` |
  `void` | `evaluatePrefixMethod​(PrefixExpression expression)` |
  `void` | `evaluateTernary​(TernaryExpression expression)` |
  `WriterController` | `getController()` |
  `MethodCaller` | `getIsCaseMethod()` |
  `protected void` | `writePostOrPrefixMethod​(int op, java.lang.String method, Expression expression, Expression orig)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### controller

    protected final WriterController controller

- ## Constructor Details

  - ### BinaryExpressionHelper

    public BinaryExpressionHelper​(WriterController wc)

- ## Method Details

  - ### getController

    public WriterController getController()

  - ### getIsCaseMethod

    public MethodCaller getIsCaseMethod()

  - ### eval

    public void eval​(BinaryExpression expression)

  - ### assignToArray

    @Deprecated protected void assignToArray​(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)
    Deprecated.

  - ### assignToArray

    protected void assignToArray​(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader, boolean safe)

  - ### evaluateElvisEqual

    public void evaluateElvisEqual​(BinaryExpression expression)

  - ### evaluateEqual

    public void evaluateEqual​(BinaryExpression expression, boolean defineVariable)

  - ### evaluateCompareExpression

    protected void evaluateCompareExpression​(MethodCaller compareMethod, BinaryExpression expression)

  - ### evaluateBinaryExpression

    protected void evaluateBinaryExpression​(java.lang.String message, BinaryExpression expression)

  - ### evaluateArrayAssignmentWithOperator

    protected void evaluateArrayAssignmentWithOperator​(java.lang.String method, BinaryExpression expression, BinaryExpression leftBinExpr)

  - ### evaluateBinaryExpressionWithAssignment

    protected void evaluateBinaryExpressionWithAssignment​(java.lang.String method, BinaryExpression expression)

  - ### evaluatePostfixMethod

    public void evaluatePostfixMethod​(PostfixExpression expression)

  - ### evaluatePrefixMethod

    public void evaluatePrefixMethod​(PrefixExpression expression)

  - ### writePostOrPrefixMethod

    protected void writePostOrPrefixMethod​(int op, java.lang.String method, Expression expression, Expression orig)

  - ### evaluateTernary

    public void evaluateTernary​(TernaryExpression expression)